
QGIS Application - Bug report #20960

QGIS crash when i click on open or save icon or menu. 

2019-01-10 08:24 AM - Adrien Pillonel

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.4.3 Regression?: No

Operating System: win7 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28779

Description

User Feedback

QGIS crash when i click on open or save icon or menu.

The "Répertoire de modèles de projets" link have some / and \ it's can by a wrong link?

If i click on "Utiliser le projet courant comme défaut" or the folder icon QGIS crash too.

Report Details

Crash ID: 6c6114567e3efba40e2eb91a9fabebedfdd9c15c

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

IUnknown_SetSite :

DllGetClassObject :
DllGetClassObject :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

GetMenuStringW :

CreateDialogParamW :

CreateDialogParamW :

TranslateMessageEx :

GetMenuStringW :

GetComboBoxInfo :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamW :

DllCanUnloadNow :

QDialog::exec :

QFileDialog::getOpenFileUrl :

QFileDialog::getOpenFileName :

QgisApp::fileOpen :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:
Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2019-01-10 11:40 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please try with a new/clean profile (just in case).

#2 - 2019-01-10 01:21 PM - Adrien Pillonel

- File Sans titre.png added

Giovanni Manghi wrote:

Please try with a new/clean profile (just in case).

I have create a new profil (see the image attached) but it's still the same.

I have try to add a WMS, QGIS crash too.

With the QGIS 2.18.26 all works good.

#3 - 2019-01-10 01:40 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Adrien Pillonel wrote:

Giovanni Manghi wrote:

Please try with a new/clean profile (just in case).

I have create a new profil (see the image attached) but it's still the same.

I have try to add a WMS, QGIS crash too.

With the QGIS 2.18.26 all works good.

no ideas then, also because this is not of course a general issue (seems really a local one).

#4 - 2019-01-14 05:10 PM - Adrien Pillonel

- Status changed from Open to Closed

I try with the 32bits version and the 3.4.3 work now.
#5 - 2019-01-14 05:28 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

Files

Sans titre.png 107 KB 2019-01-10 Adrien Pillonel

Sans titre.png 71.3 KB 2019-01-10 Adrien Pillonel
